"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/0n/_7v_bpwd1w71f8l0b0kjw5br0000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x104249cf0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x104249d80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104249e10>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104249ea0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x104249f30>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x104249fc0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10424a050>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10424a0e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10424a170>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10424a200>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10424a290>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10424a320>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10424a3b0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10424a440>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10424a4d0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10424a560>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10424a5f0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10424a680>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10424a710>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10424a7a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10424a830>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10424a8c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10424a950>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10424a9e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10424ab00>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10424aa70>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10424ab90>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10424ac20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10424acb0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10424ad40>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10424add0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10424ae60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10424aef0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10424af80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10424b010>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10424b0a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10424b130>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10424b1c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10424b250>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10424b2e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10424b370>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10424b400>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10424b490>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10424b520>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10424b5b0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10424b640>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10424b6d0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10424b760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10424b7f0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10424b880>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10424b910>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10424b9a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10424ba30>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10424bac0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10424bb50>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10424bbe0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10424bc70>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10424bd00>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10424bd90>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10424be20>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10424beb0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10424bf40>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x104270040>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1042700d0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x104270160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x104270310>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1042701f0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1042703a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x104270430>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1042704c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x104270550>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1042705e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104270700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x104270670>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x104270790>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x104270820>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1042708b0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1042709d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x104270940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x104270a60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x104270af0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x104270b80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x104270c10>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x104270ca0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x104270d30>)]
name: str = 'fr_HOCCN'
